View Issue Details

IDProjectCategoryView StatusLast Update
0037568pas2jsrtlpublic2020-08-14 12:26
Reporterhenrique Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPas2JsOSWindows 
Fixed in Versiontrunk 
Summary0037568: Removed implementation
DescriptionI put an "ifdef" around the implementation of "CharInSet" which gives an overload problem in Delphi.
TagsNo tags attached.
Fixed in Revision834
Attached Files

Activities

henrique

2020-08-13 20:20

reporter  

SysUtils.patch (972 bytes)   
From 89a0289c7f64efd54ff1920cc96d8735ac2ba55a Mon Sep 17 00:00:00 2001
From: Henrique Gottardi Werlang <henriquewerlang@hotmail.com>
Date: Thu, 13 Aug 2020 15:17:46 -0300
Subject: [PATCH] =?UTF-8?q?Removido=20a=20implementa=C3=A7=C3=A3o=20que=20?=
 =?UTF-8?q?d=C3=A1=20erro.?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 packages/rtl/sysutils.pas | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/packages/rtl/sysutils.pas b/packages/rtl/sysutils.pas
index 146f315..aa91cb2 100644
--- a/packages/rtl/sysutils.pas
+++ b/packages/rtl/sysutils.pas
@@ -1251,6 +1251,7 @@ begin
   Raise EAbort.Create(SAbortError);
 end;
 
+{$IFNDEF MAKESTUB}
 Type
   TCharSet = Set of Char;
 
@@ -1259,6 +1260,7 @@ Function CharInSet(Ch: Char;Const CSet : TCharSet) : Boolean; overload;
 begin
   Result:=Ch in CSet;
 end;
+{$ENDIF}
 
 function CharInSet(Ch: Char; const CSet: array of char): Boolean; overload;
 
-- 
2.28.0.windows.1

SysUtils.patch (972 bytes)   

Michael Van Canneyt

2020-08-14 12:26

administrator   ~0124878

Applied, thank you very much !

Issue History

Date Modified Username Field Change
2020-08-13 20:20 henrique New Issue
2020-08-13 20:20 henrique File Added: SysUtils.patch
2020-08-14 12:26 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-08-14 12:26 Michael Van Canneyt Status new => resolved
2020-08-14 12:26 Michael Van Canneyt Resolution open => fixed
2020-08-14 12:26 Michael Van Canneyt Fixed in Version => trunk
2020-08-14 12:26 Michael Van Canneyt Fixed in Revision => 834
2020-08-14 12:26 Michael Van Canneyt Note Added: 0124878